path: /build/build/appstream-dev-libs-0.16.4.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -test qt5" emerge dev-libs/appstream -pv -t && \
    USE="-doc -test qt5" emerge -j ${JOBS} --nodeps dev-libs/appstream
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/appstream && luet-portage --dir /pkgdir/appstream
    dev-libs/appstream && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:46e3fadc6304b0fad2421b7301b84f0fb1e078d5cfb9a2639d787dd33f339e27
  package:
    name: appstream
    version: 0.16.4
    category: dev-libs
    use_flags:
    - -doc
    - -test
    - qt5
    requires:
    - name: knewstuff
      version: '>=0'
      category: kde-frameworks-5
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Cross-distro effort for providing metadata for software in the Linux
      ecosystem
    uri:
    - https://www.freedesktop.org/wiki/Distributions/AppStream/
    license: LGPL-2.1+ GPL-2+
    buildtimestamp: 2024-04-06 16:35:26.954167149 +0000 UTC m=+6070.991094727
    labels:
      BDEPEND: dev-libs/appstream-glib dev-libs/libxslt dev-util/itstool >=sys-devel/gettext-0.19.8
        doc? ( app-text/docbook-xml-dtd:4.5 ) test? ( dev-qt/linguist-tools:5 ) >=dev-util/meson-0.48.2
        >=dev-util/ninja-1.7.2
      DEPEND: dev-db/lmdb >=dev-libs/glib-2.58 dev-libs/libxml2 dev-libs/libxmlb dev-libs/libyaml
        dev-libs/snowball-stemmer >=net-misc/curl-7.62 dev-libs/gobject-introspection
        qt5? ( dev-qt/qtcore:5 ) test? ( qt5? ( dev-qt/qttest:5 ) )
      IUSE: doc qt5 test
      RDEPEND: dev-db/lmdb >=dev-libs/glib-2.58 dev-libs/libxml2 dev-libs/libxmlb
        dev-libs/libyaml dev-libs/snowball-stemmer >=net-misc/curl-7.62 dev-libs/gobject-introspection
        qt5? ( dev-qt/qtcore:5 )
      emerge.packages: dev-libs/appstream
      kit: dev-kit
      original.package.name: dev-libs/appstream
      original.package.slot: "0"
      original.package.version: 0.16.4
    treedir: /build/packages
  package_dir: /pkgdir/appstream
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: f83e797b0f980a25a84e075d5c113ef739bd3208efc50dd91994442e43535115
compressiontype: zstd
files:
- etc/appstream.conf
- usr/bin/appstreamcli
- usr/include/AppStreamQt/appstreamqt_export.h
- usr/include/AppStreamQt/bundle.h
- usr/include/AppStreamQt/category.h
- usr/include/AppStreamQt/component.h
- usr/include/AppStreamQt/contentrating.h
- usr/include/AppStreamQt/icon.h
- usr/include/AppStreamQt/image.h
- usr/include/AppStreamQt/launchable.h
- usr/include/AppStreamQt/metadata.h
- usr/include/AppStreamQt/pool.h
- usr/include/AppStreamQt/provided.h
- usr/include/AppStreamQt/relation.h
- usr/include/AppStreamQt/release.h
- usr/include/AppStreamQt/screenshot.h
- usr/include/AppStreamQt/spdx.h
- usr/include/AppStreamQt/suggested.h
- usr/include/AppStreamQt/systeminfo.h
- usr/include/AppStreamQt/translation.h
- usr/include/AppStreamQt/utils.h
- usr/include/AppStreamQt/version.h
- usr/include/AppStreamQt/video.h
- usr/include/appstream/appstream.h
- usr/include/appstream/as-agreement-section.h
- usr/include/appstream/as-agreement.h
- usr/include/appstream/as-artifact.h
- usr/include/appstream/as-branding.h
- usr/include/appstream/as-bundle.h
- usr/include/appstream/as-category-gir.h
- usr/include/appstream/as-category.h
- usr/include/appstream/as-checksum.h
- usr/include/appstream/as-component.h
- usr/include/appstream/as-content-rating.h
- usr/include/appstream/as-context.h
- usr/include/appstream/as-developer.h
- usr/include/appstream/as-distro-details.h
- usr/include/appstream/as-enum-types.h
- usr/include/appstream/as-enums.h
- usr/include/appstream/as-icon.h
- usr/include/appstream/as-image.h
- usr/include/appstream/as-issue.h
- usr/include/appstream/as-launchable.h
- usr/include/appstream/as-metadata.h
- usr/include/appstream/as-pool-gir.h
- usr/include/appstream/as-pool.h
- usr/include/appstream/as-provided.h
- usr/include/appstream/as-relation.h
- usr/include/appstream/as-release.h
- usr/include/appstream/as-review.h
- usr/include/appstream/as-screenshot.h
- usr/include/appstream/as-spdx.h
- usr/include/appstream/as-suggested.h
- usr/include/appstream/as-system-info.h
- usr/include/appstream/as-translation.h
- usr/include/appstream/as-utils.h
- usr/include/appstream/as-validator-issue.h
- usr/include/appstream/as-validator.h
- usr/include/appstream/as-vercmp.h
- usr/include/appstream/as-version.h
- usr/include/appstream/as-video.h
- usr/lib64/cmake/AppStreamQt/AppStreamQtConfig.cmake
- usr/lib64/cmake/AppStreamQt/AppStreamQtConfigVersion.cmake
- usr/lib64/girepository-1.0/AppStream-1.0.typelib
- usr/lib64/libAppStreamQt.so
- usr/lib64/libAppStreamQt.so.0.16.4
- usr/lib64/libAppStreamQt.so.2
- usr/lib64/libappstream.so
- usr/lib64/libappstream.so.0.16.4
- usr/lib64/libappstream.so.4
- usr/lib64/pkgconfig/appstream.pc
- usr/share/doc/appstream-0.16.4/AUTHORS.bz2
- usr/share/doc/appstream-0.16.4/NEWS.bz2
- usr/share/doc/appstream-0.16.4/README.md.bz2
- usr/share/gettext/its/metainfo.its
- usr/share/gettext/its/metainfo.loc
- usr/share/gir-1.0/AppStream-1.0.gir
- usr/share/locale/ain/LC_MESSAGES/appstream.mo
- usr/share/locale/ar/LC_MESSAGES/appstream.mo
- usr/share/locale/bn/LC_MESSAGES/appstream.mo
- usr/share/locale/bn_BD/LC_MESSAGES/appstream.mo
- usr/share/locale/ca/LC_MESSAGES/appstream.mo
- usr/share/locale/ckb/LC_MESSAGES/appstream.mo
- usr/share/locale/cs/LC_MESSAGES/appstream.mo
- usr/share/locale/da/LC_MESSAGES/appstream.mo
- usr/share/locale/de/LC_MESSAGES/appstream.mo
- usr/share/locale/en_GB/LC_MESSAGES/appstream.mo
- usr/share/locale/eo/LC_MESSAGES/appstream.mo
- usr/share/locale/es/LC_MESSAGES/appstream.mo
- usr/share/locale/et/LC_MESSAGES/appstream.mo
- usr/share/locale/eu/LC_MESSAGES/appstream.mo
- usr/share/locale/fi/LC_MESSAGES/appstream.mo
- usr/share/locale/fr/LC_MESSAGES/appstream.mo
- usr/share/locale/gd/LC_MESSAGES/appstream.mo
- usr/share/locale/gl/LC_MESSAGES/appstream.mo
- usr/share/locale/he/LC_MESSAGES/appstream.mo
- usr/share/locale/hi/LC_MESSAGES/appstream.mo
- usr/share/locale/hr/LC_MESSAGES/appstream.mo
- usr/share/locale/hu/LC_MESSAGES/appstream.mo
- usr/share/locale/id/LC_MESSAGES/appstream.mo
- usr/share/locale/it/LC_MESSAGES/appstream.mo
- usr/share/locale/ja/LC_MESSAGES/appstream.mo
- usr/share/locale/ka/LC_MESSAGES/appstream.mo
- usr/share/locale/ko/LC_MESSAGES/appstream.mo
- usr/share/locale/lt/LC_MESSAGES/appstream.mo
- usr/share/locale/nb/LC_MESSAGES/appstream.mo
- usr/share/locale/nl/LC_MESSAGES/appstream.mo
- usr/share/locale/oc/LC_MESSAGES/appstream.mo
- usr/share/locale/pl/LC_MESSAGES/appstream.mo
- usr/share/locale/pt/LC_MESSAGES/appstream.mo
- usr/share/locale/pt_BR/LC_MESSAGES/appstream.mo
- usr/share/locale/ro/LC_MESSAGES/appstream.mo
- usr/share/locale/rom/LC_MESSAGES/appstream.mo
- usr/share/locale/ru/LC_MESSAGES/appstream.mo
- usr/share/locale/sk/LC_MESSAGES/appstream.mo
- usr/share/locale/sl/LC_MESSAGES/appstream.mo
- usr/share/locale/sr/LC_MESSAGES/appstream.mo
- usr/share/locale/sr@latin/LC_MESSAGES/appstream.mo
- usr/share/locale/sv/LC_MESSAGES/appstream.mo
- usr/share/locale/tr/LC_MESSAGES/appstream.mo
- usr/share/locale/uk/LC_MESSAGES/appstream.mo
- usr/share/locale/zh_CN/LC_MESSAGES/appstream.mo
- usr/share/locale/zh_TW/LC_MESSAGES/appstream.mo
- usr/share/man/man1/appstreamcli.1.bz2
- usr/share/metainfo/org.freedesktop.appstream.cli.metainfo.xml
- var/db/pkg/dev-libs/appstream-0.16.4/BDEPEND
- var/db/pkg/dev-libs/appstream-0.16.4/BUILD_TIME
- var/db/pkg/dev-libs/appstream-0.16.4/CATEGORY
- var/db/pkg/dev-libs/appstream-0.16.4/CBUILD
- var/db/pkg/dev-libs/appstream-0.16.4/CFLAGS
- var/db/pkg/dev-libs/appstream-0.16.4/CHOST
- var/db/pkg/dev-libs/appstream-0.16.4/CONTENTS
- var/db/pkg/dev-libs/appstream-0.16.4/COUNTER
- var/db/pkg/dev-libs/appstream-0.16.4/CXXFLAGS
- var/db/pkg/dev-libs/appstream-0.16.4/DEFINED_PHASES
- var/db/pkg/dev-libs/appstream-0.16.4/DEPEND
- var/db/pkg/dev-libs/appstream-0.16.4/DESCRIPTION
- var/db/pkg/dev-libs/appstream-0.16.4/EAPI
- var/db/pkg/dev-libs/appstream-0.16.4/FEATURES
- var/db/pkg/dev-libs/appstream-0.16.4/HOMEPAGE
- var/db/pkg/dev-libs/appstream-0.16.4/INHERITED
- var/db/pkg/dev-libs/appstream-0.16.4/IUSE
- var/db/pkg/dev-libs/appstream-0.16.4/IUSE_EFFECTIVE
- var/db/pkg/dev-libs/appstream-0.16.4/KEYWORDS
- var/db/pkg/dev-libs/appstream-0.16.4/LDFLAGS
- var/db/pkg/dev-libs/appstream-0.16.4/LICENSE
- var/db/pkg/dev-libs/appstream-0.16.4/NEEDED
- var/db/pkg/dev-libs/appstream-0.16.4/PF
- var/db/pkg/dev-libs/appstream-0.16.4/PROVIDES
- var/db/pkg/dev-libs/appstream-0.16.4/RDEPEND
- var/db/pkg/dev-libs/appstream-0.16.4/REQUIRES
- var/db/pkg/dev-libs/appstream-0.16.4/SIZE
- var/db/pkg/dev-libs/appstream-0.16.4/SLOT
- var/db/pkg/dev-libs/appstream-0.16.4/USE
- var/db/pkg/dev-libs/appstream-0.16.4/appstream-0.16.4.ebuild
- var/db/pkg/dev-libs/appstream-0.16.4/environment.bz2
- var/db/pkg/dev-libs/appstream-0.16.4/repository
package_cacheimage: ""
runtime:
  name: appstream
  version: 0.16.4
  category: dev-libs
  use_flags:
  - -doc
  - -test
  - qt5
  requires:
  - name: lmdb
    version: '>=0'
    category: dev-db
  - name: gobject-introspection
    version: '>=0'
    category: dev-libs
  - name: libxml2
    version: '>=0'
    category: dev-libs-2
  - name: libxmlb
    version: '>=0'
    category: dev-libs
  - name: libyaml
    version: '>=0'
    category: dev-libs
  - name: qtcore
    version: '>=0'
    category: dev-qt-5
  - name: curl
    version: '>=0'
    category: net-misc
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Cross-distro effort for providing metadata for software in the Linux
    ecosystem
  uri:
  - https://www.freedesktop.org/wiki/Distributions/AppStream/
  license: LGPL-2.1+ GPL-2+
  labels:
    BDEPEND: dev-libs/appstream-glib dev-libs/libxslt dev-util/itstool >=sys-devel/gettext-0.19.8
      doc? ( app-text/docbook-xml-dtd:4.5 ) test? ( dev-qt/linguist-tools:5 ) >=dev-util/meson-0.48.2
      >=dev-util/ninja-1.7.2
    DEPEND: dev-db/lmdb >=dev-libs/glib-2.58 dev-libs/libxml2 dev-libs/libxmlb dev-libs/libyaml
      dev-libs/snowball-stemmer >=net-misc/curl-7.62 dev-libs/gobject-introspection
      qt5? ( dev-qt/qtcore:5 ) test? ( qt5? ( dev-qt/qttest:5 ) )
    IUSE: doc qt5 test
    RDEPEND: dev-db/lmdb >=dev-libs/glib-2.58 dev-libs/libxml2 dev-libs/libxmlb dev-libs/libyaml
      dev-libs/snowball-stemmer >=net-misc/curl-7.62 dev-libs/gobject-introspection
      qt5? ( dev-qt/qtcore:5 )
    emerge.packages: dev-libs/appstream
    kit: dev-kit
    original.package.name: dev-libs/appstream
    original.package.slot: "0"
    original.package.version: 0.16.4
